ON_CageMorph Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_nurbssurface.h>`

Inheritance diagram for ON_CageMorph:

## Public Member Functions

| ON_CageMorph ()
| ~ON_CageMorph ()
bool | IsIdentity (const ON_BoundingBox &bbox) const
Public Member Functions inherited from ON_SpaceMorph
| ON_SpaceMorph ()
virtual | ~ON_SpaceMorph ()
double | Tolerance () const
void | SetTolerance (double tolerance)
bool | QuickPreview () const
void | SetQuickPreview (bool bQuickPreview)
bool | PreserveStructure () const
void | SetPreserveStructure (bool bPreserveStructure)

## Public Attributes

const ON_MorphControl * | m_control

## Detailed Description

Definition at line 1931 of file opennurbs_nurbssurface.h.

## Constructor & Destructor Documentation

ON_CageMorph::ON_CageMorph | ( |  | ) |

ON_CageMorph::~ON_CageMorph | ( |  | ) |

## Member Function Documentation

bool ON_CageMorph::IsIdentity | ( | const ON_BoundingBox & | bbox | ) | const

virtual

Reimplemented from ON_SpaceMorph.

## Member Data Documentation

const ON_MorphControl* ON_CageMorph::m_control

Definition at line 1939 of file opennurbs_nurbssurface.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_nurbssurface.h